"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCallbackRef = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
function useCallbackRef() {
    const [ref, setRef] = React.useState(null);
    const fn = React.useCallback(node => {
        if (node !== null) {
            setRef(node);
        }
    }, []);
    return [ref, fn];
}
exports.useCallbackRef = useCallbackRef;
