"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMounted = void 0;
const react_1 = require("react");
function useMounted() {
    const [mounted, setMounted] = react_1.useState(false);
    react_1.useEffect(() => {
        setMounted(true);
    }, []);
    return mounted;
}
exports.useMounted = useMounted;
