"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreadcrumbStories = void 0;
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const Breadcrumbs_1 = require("../Breadcrumbs");
const Link_1 = require("../Link");
exports.BreadcrumbStories = react_2.storiesOf("Breadcrumb", module)
    .add("Basic usage", () => {
    return (react_1.jsx("div", { css: { display: "flex", justifyContent: "center" } },
        react_1.jsx(Breadcrumbs_1.Breadcrumbs, null,
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null,
                react_1.jsx(Link_1.Link, { href: "#" }, "Watershed")),
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null,
                react_1.jsx(Link_1.Link, { href: "#" }, "Visual Teaching Strategies")),
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null, "Settings"))));
})
    .add("Large", () => {
    return (react_1.jsx("div", { css: { display: "flex", justifyContent: "center" } },
        react_1.jsx(Breadcrumbs_1.Breadcrumbs, { size: "lg" },
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null,
                react_1.jsx(Link_1.Link, { href: "#" }, "Watershed")),
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null,
                react_1.jsx(Link_1.Link, { href: "#" }, "Visual Teaching Strategies")),
            react_1.jsx(Breadcrumbs_1.BreadcrumbItem, null, "Settings"))));
});
