"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbedStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const faker_1 = tslib_1.__importDefault(require("faker"));
const Embed_1 = require("../Embed");
const react_2 = require("@storybook/react");
exports.EmbedStories = react_2.storiesOf("Embed", module).add("basic", () => {
    return (react_1.jsx("div", { css: { maxWidth: "400px", border: "2px solid" } },
        react_1.jsx(Embed_1.Embed, { width: 16, height: 9 },
            react_1.jsx("img", { src: faker_1.default.image.people(1600, 900), alt: "Some person" })),
        react_1.jsx("div", null, "I should not move around")));
});
