"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const Icons_1 = require("../Icons");
exports.Icon = react_2.storiesOf("Icon", module)
    .add("list", () => {
    return (react_1.jsx("div", { css: {
            "& > *": {
                margin: "1rem"
            }
        } },
        react_1.jsx(Icons_1.IconActivity, null),
        react_1.jsx(Icons_1.IconAirplay, null),
        react_1.jsx(Icons_1.IconAlertOctagon, { size: "xl", color: "red" })));
})
    .add("sizes", () => {
    return ["xs", "sm", "md", "lg", "xl"].map(size => {
        return react_1.jsx(Icons_1.IconAirplay, { size: size });
    });
});
