"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavbarStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Navbar_1 = require("../Navbar");
const Text_1 = require("../Text");
const Button_1 = require("../Button");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const Layer_1 = require("../Layer");
const react_2 = require("@storybook/react");
const Toolbar_1 = require("../Toolbar");
const Providers_1 = require("../Theme/Providers");
exports.NavbarStories = react_2.storiesOf("Navbar", module)
    .add("elevations", () => {
    return (react_1.jsx("div", { css: {
            paddingTop: "55px",
            height: "100vh",
            background: Theme_1.default.colors.background.tint1
        } },
        react_1.jsx(Navbar_1.Navbar, { css: {
                color: Theme_1.default.colors.text.default
            } },
            react_1.jsx(Toolbar_1.Toolbar, null,
                react_1.jsx(Text_1.Text, { variant: "h4", css: { color: "inherit" } }, "Subtitles"),
                react_1.jsx("div", { css: { flex: "1" } }),
                react_1.jsx(Button_1.Button, { size: "md", css: { marginRight: Theme_1.default.spaces.sm }, variant: "ghost" }, "Sign up"),
                react_1.jsx(Button_1.Button, { size: "md", intent: "primary" }, "Login"))),
        react_1.jsx(Layer_1.Layer, { elevation: "sm", css: { margin: "3rem", height: "300px" } }, "Hello world")));
})
    .add("dark", () => {
    return (react_1.jsx("div", null,
        react_1.jsx(Providers_1.DarkMode, null,
            react_1.jsx(Navbar_1.Navbar, { css: {
                    color: Theme_1.default.colors.text.default
                } },
                react_1.jsx(Toolbar_1.Toolbar, null,
                    react_1.jsx(Text_1.Text, { gutter: false, variant: "h5" }, "Subtitles"),
                    react_1.jsx("div", { css: { flex: "1" } }),
                    react_1.jsx(Button_1.Button, { size: "md", css: { marginRight: Theme_1.default.spaces.sm }, variant: "ghost" }, "Sign up"),
                    react_1.jsx(Button_1.Button, { size: "md", intent: "primary" }, "Login"))))));
});
