"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeExamples = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const Skeleton_1 = require("../Skeleton");
const Text_1 = require("../Text");
const List_1 = require("../List");
const Avatar_1 = require("../Avatar");
const faker_1 = tslib_1.__importDefault(require("faker"));
exports.ThemeExamples = react_2.storiesOf("Skeleton", module)
    .add("Basic usage", () => (react_1.jsx("div", { css: { padding: "1rem" } },
    react_1.jsx(Text_1.Text, { variant: "display3" },
        react_1.jsx(Skeleton_1.Skeleton, null)))))
    .add("ListItem loading", () => (react_1.jsx(List_1.List, null,
    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { interactive: false, "aria-live": "polite", "aria-busy": "true", primary: react_1.jsx(Skeleton_1.Skeleton, { css: { width: "100px" } }), secondary: react_1.jsx(Skeleton_1.Skeleton, null), contentBefore: react_1.jsx(Skeleton_1.Skeleton, { css: { width: "3.27rem", height: "3.27rem", borderRadius: "50%" } }) }))));
