/** @jsx jsx */
import { jsx } from "@emotion/react";
import * as React from "react";
import { StackProps, StackItemProps } from "react-gesture-stack";
export interface StackTitleProps {
    /** The pane title which is centered */
    title?: React.ReactNode;
    /** The title of the back button */
    backTitle?: React.ReactNode;
    /** Content that appears to the left of the title */
    contentBefore?: React.ReactNode;
    /** Content that appears to the right of the title */
    contentAfter?: React.ReactNode;
}
export declare function StackTitle({ title, backTitle, ...other }: StackTitleProps): jsx.JSX.Element;
export declare function Stack(props: StackProps): jsx.JSX.Element;
export declare function StackItem(props: StackItemProps): jsx.JSX.Element;
