/** @jsx jsx */
import { jsx } from "@emotion/react";
import { storiesOf } from "@storybook/react";
import { Breadcrumbs, BreadcrumbItem } from "../Breadcrumbs";
import { Link } from "../Link";
export const BreadcrumbStories = storiesOf("Breadcrumb", module)
    .add("Basic usage", () => {
    return (jsx("div", { css: { display: "flex", justifyContent: "center" } },
        jsx(Breadcrumbs, null,
            jsx(BreadcrumbItem, null,
                jsx(Link, { href: "#" }, "Watershed")),
            jsx(BreadcrumbItem, null,
                jsx(Link, { href: "#" }, "Visual Teaching Strategies")),
            jsx(BreadcrumbItem, null, "Settings"))));
})
    .add("Large", () => {
    return (jsx("div", { css: { display: "flex", justifyContent: "center" } },
        jsx(Breadcrumbs, { size: "lg" },
            jsx(BreadcrumbItem, null,
                jsx(Link, { href: "#" }, "Watershed")),
            jsx(BreadcrumbItem, null,
                jsx(Link, { href: "#" }, "Visual Teaching Strategies")),
            jsx(BreadcrumbItem, null, "Settings"))));
});
