/** @jsx jsx */
import { jsx } from "@emotion/react";
import { storiesOf } from "@storybook/react";
import { IconActivity, IconAirplay, IconAlertOctagon } from "../Icons";
export const Icon = storiesOf("Icon", module)
    .add("list", () => {
    return (jsx("div", { css: {
            "& > *": {
                margin: "1rem"
            }
        } },
        jsx(IconActivity, null),
        jsx(IconAirplay, null),
        jsx(IconAlertOctagon, { size: "xl", color: "red" })));
})
    .add("sizes", () => {
    return ["xs", "sm", "md", "lg", "xl"].map(size => {
        return jsx(IconAirplay, { size: size });
    });
});
