/** @jsx jsx */
import { jsx } from "@emotion/react";
import { Button } from "../Button";
import { storiesOf } from "@storybook/react";
import { useToast } from "../Toast";
function Example() {
    const toast = useToast();
    return (jsx(Button, { onClick: () => {
            toast({
                duration: null,
                title: "Hello world",
                subtitle: "Excepteur exercitation eu duis reprehenderit irure."
            });
        } }, "Show toast"));
}
export const ToastStories = storiesOf("Toast", module).add("basic", () => {
    return (jsx("div", { css: { PADDING: "3REM" } },
        jsx(Example, null)));
});
