"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Divider = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
const Divider = (_a) => {
    var { muted } = _a, other = tslib_1.__rest(_a, ["muted"]);
    const theme = Providers_1.useTheme();
    return (react_1.jsx("div", Object.assign({ className: "Divider", css: {
            borderTopColor: muted
                ? theme.colors.border.muted
                : theme.colors.border.default,
            display: "block",
            borderTopWidth: "1px",
            borderTopStyle: "solid",
            margin: `${theme.spaces.md} 0`
        } }, other)));
};
exports.Divider = Divider;
exports.Divider.propTypes = {
    muted: prop_types_1.default.bool
};
