"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUid = void 0;
const react_1 = require("react");
let id = 0;
const genId = () => ++id;
/**
 * Generate a unique id for a component.
 * Useful for accessibility controls (htmlFor, describedBy)
 */
const useUid = (id = "") => {
    const [generatedId, setGeneratedId] = react_1.useState(id || genId().toString());
    /**
    useEffect(() => setGeneratedId(id || genId().toString()), [id]);
    **/
    return generatedId;
};
exports.useUid = useUid;
