"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
/**
 * This wrapper allows us to also render non-sancho icons. It should probably
 * remain a private component.
 */
const IconWrapper = (_a) => {
    var { size = "md", color, children } = _a, other = tslib_1.__rest(_a, ["size", "color", "children"]);
    return React.cloneElement(children, Object.assign({ size,
        color, "aria-hidden": true, style: { display: "block" } }, other));
};
exports.IconWrapper = IconWrapper;
