"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Alert_1 = require("../Alert");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const react_2 = require("@storybook/react");
const appearances = [
    "info",
    "success",
    "danger",
    "question",
    "warning"
];
exports.AlertStories = react_2.storiesOf("Alert", module)
    .add("color variants", () => (react_1.jsx("div", null,
    appearances.map(key => (react_1.jsx(Alert_1.Alert, { css: {
            margin: Theme_1.default.spaces.lg
        }, key: key, intent: key, title: "This is a " + key + " alert", subtitle: "Culpa laborum nostrud dolore id duis adipisicing aliqua pariatur veniam. Ad Lorem dolor voluptate reprehenderit ullamco in incididunt eiusmod consectetur cupidatat occaecat incididunt." }))),
    react_1.jsx(Alert_1.Alert, { css: {
            margin: Theme_1.default.spaces.lg
        }, title: "This is an alert with a close button", subtitle: "Culpa laborum nostrud dolore id duis adipisicing aliqua pariatur veniam. Ad Lorem dolor voluptate reprehenderit ullamco in incididunt eiusmod consectetur cupidatat occaecat incididunt.", onRequestClose: () => {
            console.log("close");
        } }))))
    .add("close button", () => {
    return (react_1.jsx(Alert_1.Alert, { css: {
            margin: Theme_1.default.spaces.lg
        }, title: "This is an alert with a close button. Ullamco magna cillum quis ipsum tempor tempor do commodo nisi eu cupidatat ex duis ea.", onRequestClose: () => {
            console.log("close");
        } }));
});
