"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeExamples = void 0;
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const react_3 = require("react");
const Button_1 = require("../Button");
const AlertDialog_1 = require("../AlertDialog");
function Example() {
    const [show, setShow] = react_3.useState(false);
    return (react_1.jsx("div", null,
        react_1.jsx(Button_1.Button, { onPress: () => setShow(true) }, "Delete"),
        react_1.jsx(AlertDialog_1.AlertDialog, { isOpen: show, confirmLabel: "Delete", subtitle: "This action cannot be undone. Proceed with caution.", title: "Are you sure you want to delete this?", onConfirm: () => {
                window.alert("DELETE");
            }, onClose: () => {
                setShow(false);
            } })));
}
exports.ThemeExamples = react_2.storiesOf("AlertDialog", module).add("Basic usage", () => react_1.jsx(Example, null));
