"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollapseStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Button_1 = require("../Button");
const Collapse_1 = require("../Collapse");
const react_2 = require("@storybook/react");
const Example = () => {
    const state = Collapse_1.useCollapse(false);
    const [more, showMore] = React.useState(0);
    React.useEffect(() => {
        const timer = setInterval(() => {
            showMore(5 + more);
        }, 2000);
        return () => clearTimeout(timer);
    }, [more]);
    return (react_1.jsx("div", null,
        react_1.jsx(Button_1.Button, Object.assign({}, state.buttonProps), "Click to reveal!"),
        react_1.jsx(Collapse_1.Collapse, Object.assign({}, state.collapseProps),
            react_1.jsx("div", null, "This is some crazy content"),
            react_1.jsx("div", null, "This is some crazy content"),
            react_1.jsx("div", null, "This is some crazy content"),
            new Array(more).fill(null).map((a, i) => (react_1.jsx("div", { key: i },
                "Item number ",
                i))))));
};
exports.CollapseStories = react_2.storiesOf("Collapse", module)
    .add("basic", () => {
    return (react_1.jsx("div", null,
        react_1.jsx(Example, null)));
})
    .add("mounted on open", () => (react_1.jsx("div", null,
    react_1.jsx(Collapse_1.Collapse, { id: "hi", show: true },
        react_1.jsx("div", null, "This is some crazy content"),
        react_1.jsx("div", null, "This is some crazy content"),
        react_1.jsx("div", null, "This is some crazy content"),
        new Array(0).fill(null).map((a, i) => (react_1.jsx("div", { key: i },
            "Item number ",
            i)))))));
