import { __rest } from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
export const Divider = (_a) => {
    var { muted } = _a, other = __rest(_a, ["muted"]);
    const theme = useTheme();
    return (jsx("div", Object.assign({ className: "Divider", css: {
            borderTopColor: muted
                ? theme.colors.border.muted
                : theme.colors.border.default,
            display: "block",
            borderTopWidth: "1px",
            borderTopStyle: "solid",
            margin: `${theme.spaces.md} 0`
        } }, other)));
};
Divider.propTypes = {
    muted: PropTypes.bool
};
