import Popper from "popper.js";
export interface PositionerOptions {
    placement?: Popper.Placement;
    positionFixed?: boolean;
    eventsEnabled?: boolean;
    modifiers?: Popper.Modifiers;
}
/**
 * Position an element relative to another
 */
export declare function usePositioner({ placement: defaultPlacement, positionFixed, eventsEnabled, modifiers }?: PositionerOptions): {
    target: {
        ref: (node: unknown) => void;
        node: unknown;
    };
    popover: {
        node: unknown;
        style: any;
        ref: (node: unknown) => void;
        placement: Popper.Placement;
    };
    arrow: {
        node: unknown;
        style: {};
        ref: (node: unknown) => void;
    };
};
