/** @jsx jsx */
import { jsx } from "@emotion/react";
import faker from "faker";
import { Embed } from "../Embed";
import { storiesOf } from "@storybook/react";
export const EmbedStories = storiesOf("Embed", module).add("basic", () => {
    return (jsx("div", { css: { maxWidth: "400px", border: "2px solid" } },
        jsx(Embed, { width: 16, height: 9 },
            jsx("img", { src: faker.image.people(1600, 900), alt: "Some person" })),
        jsx("div", null, "I should not move around")));
});
