/** @jsx jsx */
import { jsx } from "@emotion/react";
import { storiesOf } from "@storybook/react";
import { usePositioner } from "../Hooks/use-positioner";
function Example() {
    const { target, popover, arrow } = usePositioner();
    return (jsx("div", null,
        jsx("button", { ref: target.ref }, "Attach to me"),
        jsx("div", { ref: popover.ref, style: popover.style, css: {
                width: "300px",
                height: "300px",
                background: "red"
            } },
            jsx("div", null, "hi"),
            " ",
            jsx("div", { css: { width: "5px" }, style: arrow.style, ref: arrow.ref }))));
}
export const PositionsExample = storiesOf("Positions", module).add("Basic", () => jsx(Example, null));
